package scanner;

import error.CriticalLispException;

public interface LispInputStream {

    int read();

    void unreadLastCharacter();

    public static class MaximumUnreadsExceededException extends CriticalLispException {

        private static final long serialVersionUID = 1L;
    }

}
